Event stream (CloudEvents), newest first
const url = 'https://api.trustysweep.com/v1/events?limit=50';const options = {method: 'GET', headers: {cookie: 'sweep_session=<sweep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.trustysweep.com/v1/events?limit=50' \ --cookie sweep_session=<sweep_session>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Comma-separated event types
Opaque cursor from next_cursor.
Responses
Section titled “Responses”OK
object
CloudEvents 1.0 JSON envelope used for webhooks and GET /v1/events.
object
Prefixed ULID (evt_…)
Event type from events.json, e.g. sweep.execution.completed
Primary resource id
object
CloudEvents extension: true in developer test mode.
Example
{ "data": [ { "specversion": "1.0", "id": "evt_01J8Z3K9M2Q4R6S8T0V2W4X6Y8", "datacontenttype": "application/json" } ]}Headers
Section titled “Headers”Requests allowed in the current window.
Requests remaining in the current window.
Seconds until the window resets.
Validation failed
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Unauthenticated
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Forbidden / action denied / step-up required
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Not found
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Rate limited
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Headers
Section titled “Headers”Seconds to wait before retrying.
Requests allowed in the current window.
Requests remaining in the current window.
Seconds until the window resets.
Internal error
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}